name: Renovate

on:
  push:
    branches: ["main"]
  schedule:
    - cron: "14 3 * * 1-5"
  workflow_dispatch:

concurrency:
  group: ${{ github.workflow }}-${{ github.ref }}
  cancel-in-progress: true

jobs:
  renovate:
    runs-on: ubuntu-latest
    timeout-minutes: 10
    steps:
      - name: Checkout repo
        uses: actions/checkout@v4
        with:
          fetch-depth: 1

      - name: Run renovatebot
        uses: renovatebot/github-action@v41.0.13
        env:
          RENOVATE_GIT_PRIVATE_KEY: ${{ secrets.GPG_SIGNING_KEY }}
          RENOVATE_REPOSITORIES: "robert-koch-institut/mex-template"
        with:
          configurationFile: renovate.json
          token: ${{ secrets.WORKFLOW_TOKEN }}
